﻿
using System;
using System.Security.Claims;
using Wisej.Web;

namespace Wisej.OpenID
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			Application.Navigate("/login");
		}

		private void button2_Click(object sender, EventArgs e)
		{
			Application.Navigate("/logout");
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			Application.ApplicationRefresh += Application_ApplicationRefresh;
		}

		private void Application_ApplicationRefresh(object sender, EventArgs e)
		{
			if (Application.IsAuthenticated)
			{
				var user = (ClaimsPrincipal)Application.User;
				var name = user.FindFirst("name");
				var username = user.FindFirst("preferred_username");

				AlertBox.Show($"Authenticated as: {name.Value} ({username})");
			}
			else
			{
				AlertBox.Show($"Not Authenticated");
			}
		}
	}
}
